Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814494 - usermode networking fails: slirp/arp_table.c:75: arp_table_search Assertion
Summary: usermode networking fails: slirp/arp_table.c:75: arp_table_search Assertion
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 02:07 UTC by Gustavo Padovan
Modified: 2013-01-09 12:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-11 10:18:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Gustavo Padovan 2012-04-20 02:07:42 UTC
Description of problem:

I'm running:

sudo qemu-kvm -hda /home/padovan/p/vdisk2.qcow2 -kernel arch/x86/boot/bzImage \
        -append "ro root=/dev/hda1 console=ttyS0 init=/bin/systemd" \
        -nographic \
        -net nic -net user,hostfwd=tcp::5555-:22 -smp 3 -m 312

and qemu-kvm fails with:

qemu-kvm: slirp/arp_table.c:75: arp_table_search: Assertion `(ip_addr & (__extension__ ({ register unsigned int __v, __x = (~(0xf << 28)); if (__builtin_constant_p (__x)) __v = ((((__x) & 0xff000000) >> 24) | (((__x) & 0x00ff0000) >> 8) | (((__x) & 0x0000ff00) << 8) | (((__x) & 0x000000ff) << 24)); else __asm__ ("bswap %0" : "=r" (__v) : "0" (__x)); __v; }))) != 0' failed.


If I run "-net none" qemu works fine, but then I don't have any network interface.

Version-Release number of selected component (if applicable):

padovan bluetooth-testing $ qemu-kvm --version
QEMU emulator version 1.0 (qemu-kvm-1.0), Copyright (c) 2003-2008 Fabrice Bellard

qemu-kvm-1.0-11.fc17.x86_64



How reproducible:

always


Steps to Reproduce:
1.
2.
3.
  
Actual results:
qemu fails.

Expected results:
QEMU should run the virtual machine without problems.

Additional info:

Comment 1 Paolo Bonzini 2012-09-11 10:18:44 UTC
This is fixed in F18.  We will backport 1.2.0 to F17 in some time.


Note You need to log in before you can comment on or make changes to this bug.